/**
 * \file	cf_mutex.h
 * \author	myusgun <myusgun@gmail.com>
 *
 * \brief 뮤텍스 지원
 *
 * \example thread.c
 */
#ifndef __CF_MUTEX_H__
#define __CF_MUTEX_H__

#include "cf_base.h"

/** 뮤텍스 컨텍스트 */
typedef void *	CF_Mutex_Ctx;

#ifdef __cplusplus
extern "C" {
#endif

CF_EXPORT int
CF_Mutex_CreateCtx		(CF_Mutex_Ctx * ctx);

CF_EXPORT int
CF_Mutex_DestoryCtx		(CF_Mutex_Ctx ctx);

CF_EXPORT int
CF_Mutex_Lock			(CF_Mutex_Ctx ctx);

CF_EXPORT int
CF_Mutex_Unlock			(CF_Mutex_Ctx ctx);

#ifdef __cplusplus
}
#endif

#endif // #ifndef __CF_MUTEX_H__

